> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Event Ended

> Trigger when a Google Calendar Event ends

## Subscribe

Send this request body to [Subscribe to a Trigger](/actionkit/triggers/api-reference/subscribe-to-trigger) to start listening for this event on behalf of your user:

```http Subscribe Request theme={null}
POST https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions

Authorization: Bearer {Paragon User Token}
Content-Type: application/json

{
  "integration": "googleCalendar",
  "type": "GOOGLE_CALENDAR_TRIGGER_EVENT_ENDED",
  "parameters": {
    "calendarId": "{{settings.calendar}}"
  }
}
```

**Configuration options:**

<ParamField path="calendarId" type="TEXTAREA">
  Use Connect Portal Workflow Settings to allow users to select a calendar. Defaults to the user’s primary calendar if left blank.

  * Example value: `{{settings.calendar}}`
  * Options can be loaded by using the `calendars` key. Learn more in [User Configuration](/actionkit/triggers/user-configuration).
</ParamField>
